-- CV-6 ENTERPRISE CLASSE YORKTOWN (Eric et Patrick Cuesta réalisation technique et graphique) MD3D Markindel/Cadarth 
mount_vfs_model_path	(current_mod_path.."/Shapes")
mount_vfs_texture_path  (current_mod_path.."/Textures/CVN6_Enterprise.zip")
mount_vfs_texture_path  (current_mod_path.."/Textures/CV6_Enterprise.zip")
mount_vfs_texture_path  (current_mod_path.."/Textures/F4F-4_Wilcat.zip")
mount_vfs_liveries_path (current_mod_path.."/Liveries")



GT = {};
GT_t.ws = 0;

set_recursive_metatable(GT, GT_t.generic_ship)

GT.visual = {}
GT.visual.shape = "CV6_Enterprise"
GT.visual.shape_dstr = ""
GT.animation_arguments.radar1_rotation = 11; -- âðàùåíèå ðàäàðà 1

GT.animation_arguments.luna_lights = 100;

GT.life = 7000
GT.mass = 7.05e+007
GT.max_velocity = 16.4622
GT.race_velocity = 15.4333
GT.economy_velocity = 9.26
GT.economy_distance = 1.4816e+007
GT.race_distance = 4.63e+006
GT.shipLength = 304.5
GT.Width = 42
GT.Height = 53.1
GT.Length = 304.5
GT.DeckLevel = 16.257
----- Scia di Prua
GT.X_nose =  120
----- scia di poppa
GT.X_tail = -105
GT.Tail_Width = 28
GT.Gamma_max = 0.35
GT.Om = 0.05
GT.speedup = 0.148333
GT.R_min = 609
GT.distFindObstacles = 963.5

GT.numParking = 4;
GT.Plane_Num_ = 72;
GT.Helicopter_Num_ = 6;

GT.airWeaponDist = 15000;
GT.airFindDist = 30000;

GT.exhaust = 
{
	[1] = { size = 0.60 , pos = {-1 ,30, 10 } },
	[2] = { size = 0.60 , pos = {4 ,30, 10 } },
	[3] = { size = 0.60 , pos = {9 ,30, 10 } },
	
 }

---- Primo valore    : avanti/indietro
---- Secondo valore: alto/basso
---- Terzo Valore    : destra/sinistra
				
GT.ArrestingGears = {
	{
		Left = {	pos = {-80.0,   16.10, -10.5} },
		Right = {	pos = {-80.0,   16.10,  10.5} }
	},
	{
		Left = {	pos = {-70.0,   16.10, -10.5} },
		Right = {	pos = {-70.0,   16.10, 10.0} }
	},
	{
		Left = {	pos = {-60.0,   16.10, -10.5} },
		Right = {	pos = {-60.0,   16.10, 10.5} }
	},
	{
		Left = {	pos = {-50.0,   16.10, -10.5} },
		Right = {	pos = {-50.0,   16.10,  10.5} }
	}
}
GT.ArrestingGears.ArrestingGearsNumber = #GT.ArrestingGears

                
---GT.Landing_Point = {71.0, 16.26,-30.0} --{71.0, 16.26,-30.0}  
GT.Landing_Point = {71.0, 16.00,-2.0} --{71.0, 16.26,-30.0}  

GT.LSOPosition = {0.0, 17.0, 16.00, 0.8, 0.0} --{81.236, 24.0, 28.497, 10.0, 0.0} 

GT.DM = {
----- Scafo.
	{ area_name = "Scafo_Prua_Dx",			area_arg = 76,	area_life = 100, area_fire = { pos = {75.0, 4.0, 8.0}, size = 1.5}},
	{ area_name = "Scafo_Centrale_Dx",		area_arg = 71,	area_life = 100, area_fire = { pos = {20.0,  2.0, 13.0}, size = 1.5}},
	{ area_name = "Scafo_Centrale2_Dx",		area_arg = 95,	area_life = 100, area_fire = { pos = {20.0,  2.0, 13.0}, size = 1.5}},	
	{ area_name = "Scafo_Poppa_Dx", 			area_arg = 72,	area_life = 100, area_fire = { pos = {-70.0, 2.0, 8.0}, size = 1.5}},
	{ area_name = "Scafo_Prua_Sx", 		    	area_arg = 73,	area_life = 100, area_fire = { pos = {90.0, 4.0, -10.0}, size = 1.5}},
	{ area_name = "Scafo_Centrale_Sx", 		area_arg = 74,	area_life = 100, area_fire = { pos = {0.0,  2.0, -13.0}, size = 1.5}},
	{ area_name = "Scafo_Centrale2_Sx", 		area_arg = 94,	area_life = 100, area_fire = { pos = {0.0,  2.0, -13.0}, size = 1.5}},
	{ area_name = "Scafo_Poppa_Sx", 			area_arg = 75,	area_life = 100, area_fire = { pos = {-100.0, 2.0, -10.5}, size = 1.5}},
-------- Sovrastrutture	
	{ area_name = "Zona_Fumaiolo",          		area_arg = 77,	area_life = 60,  area_fire = { pos = {0.5, 12.0, 0.0}, size = 2.5}},
	{ area_name = "Strutture_Poppa",        		area_arg = 82,	area_life = 200, area_fire = { pos = {-23.0, 12.0, 0.0}, size = 1.5}},
	{ area_name = "Sala_Comando",	        		area_arg = 83,	area_life = 150, area_fire = { pos = {15.0, 12.0, 0.0}, size = 2.5}},
		
--------- 4 Torri Binate da 380mm	
	{ area_name = "Torre_380_Anton",			area_arg = 96,	area_life = 60, area_fire = { pos = {55.0, 11.0, 0.0}, size =  1.5}},
	{ area_name = "Torre_380_Bruno",			area_arg = 98,	area_life = 60, area_fire = { pos = {35.0, 14.0, 0.0}, size =  1.5}},  
	{ area_name = "Torre_380_Cesare",			area_arg = 70,	area_life = 60, area_fire = { pos = {-64.0, 14.0, 0.0}, size = 1.5}},
	{ area_name = "Torre_380_Dora",		    	area_arg = 99,	area_life = 60, area_fire = { pos = {-62.0, 11.0, 0.0}, size = 1.5}},  

	{ area_name = "Ponte Prua",	           		area_arg = 84,	area_life = 60, area_fire = { pos = {67.0, 11.0, 0.0}, size =  1.5}},
         { area_name = "Ponte Poppa",		    		area_arg = 85,	area_life = 60, area_fire = { pos = {-95.0, 11.0, 0.0}, size = 1.5}}, 
--[[	
------------------ 6 Torri Binate da 150
	{ area_name = "Torre_150_Dx_1",			area_arg = 71,	area_life = 100, area_fire = { pos = {93.0, 4.0, 8.0}, size = 1.5}},
	{ area_name = "Torre_150_Dx_2",			area_arg = 71,	area_life = 100, area_fire = { pos = {93.0, 4.0, 8.0}, size = 1.5}},
	{ area_name = "Torre_150_Dx_3",			area_arg = 71,	area_life = 100, area_fire = { pos = {93.0, 4.0, 8.0}, size = 1.5}},
	{ area_name = "Torre_150_Sx_1",			area_arg = 74,	area_life = 100, area_fire = { pos = {93.0, 4.0, 8.0}, size = 1.5}},
	{ area_name = "Torre_150_Sx_2",			area_arg = 74,	area_life = 100, area_fire = { pos = {93.0, 4.0, 8.0}, size = 1.5}},
	{ area_name = "Torre_150_Sx_3",			area_arg = 74,	area_life = 100, area_fire = { pos = {93.0, 4.0, 8.0}, size = 1.5}},
--]]

}

--------------------------------------------------------------------------------------
---  Descrizioni Armamento 
--------------------------------------------------------------------------------------

-- Source for modifications: https://en.wikipedia.org/wiki/North_Carolina-class_battleship
-- Oerlikon (20 mm) naval AAA weapons. Source: https://en.wikipedia.org/wiki/Oerlikon_20_mm_cannon
-- Used default Mark 15 CIWS Phalanx Block 1 weapon system as template with alterations
GT_t.WS_t.ship_Oerlikon_20 = {name = "20 mm Oerlikon"};
GT_t.WS_t.ship_Oerlikon_20.angles = {
                    {math.rad(180), math.rad(-180), math.rad(-15), math.rad(90)},
                    };
GT_t.WS_t.ship_Oerlikon_20.omegaY = math.rad(115) -- Block 1B
GT_t.WS_t.ship_Oerlikon_20.omegaZ = math.rad(116) -- Block 1B
GT_t.WS_t.ship_Oerlikon_20.pidY = {p=300, i = 0.05, d = 10.0, inn = 1000};
GT_t.WS_t.ship_Oerlikon_20.pidZ = {p=300, i = 0.05, d = 10.0, inn = 1000};
GT_t.WS_t.ship_Oerlikon_20.reference_angle_Z = 0
GT_t.WS_t.ship_Oerlikon_20.LN = {}
GT_t.WS_t.ship_Oerlikon_20.LN[1] = {}
GT_t.WS_t.ship_Oerlikon_20.LN[1].type = 3
GT_t.WS_t.ship_Oerlikon_20.LN[1].distanceMin = 10
GT_t.WS_t.ship_Oerlikon_20.LN[1].distanceMax = 1500 -- effective shooting with 3600 meters
GT_t.WS_t.ship_Oerlikon_20.LN[1].max_trg_alt = 1000
GT_t.WS_t.ship_Oerlikon_20.LN[1].reactionTime = 1.8
GT_t.WS_t.ship_Oerlikon_20.LN[1].beamWidth = math.rad(1);
GT_t.WS_t.ship_Oerlikon_20.LN[1].sensor = {}
set_recursive_metatable(GT_t.WS_t.ship_Oerlikon_20.LN[1].sensor, GT_t.WSN_t[3])
GT_t.WS_t.ship_Oerlikon_20.LN[1].PL = {}
GT_t.WS_t.ship_Oerlikon_20.LN[1].PL[1] = {}
GT_t.WS_t.ship_Oerlikon_20.LN[1].PL[1].ammo_capacity = 1550;
GT_t.WS_t.ship_Oerlikon_20.LN[1].PL[1].shell_name = {"Rh202_20_AP", "Rh202_20_HE"};
GT_t.WS_t.ship_Oerlikon_20.LN[1].PL[1].shell_display_name = "20mm AP+HE";
GT_t.WS_t.ship_Oerlikon_20.LN[1].PL[1].shot_delay = 60/450 -- 450 rounds per minute average
GT_t.WS_t.ship_Oerlikon_20.LN[1].PL[1].reload_time = 1000000; -- never during the mission (ship autogun)
GT_t.WS_t.ship_Oerlikon_20.LN[1].BR = { {pos = {3.478, 0, 0} }, }



-- Bofors Mk 12 (40 mm) naval AAA weapons. Source: https://en.wikipedia.org/wiki/Bofors_40_mm_gun
-- Used default Mark 15 CIWS Phalanx Block 1 weapon system as template with alterations
GT_t.WS_t.ship_Bofors_40_Mk_12 = {name = "40 mm Bofors Mk 12"};
GT_t.WS_t.ship_Bofors_40_Mk_12.angles = {
                    {math.rad(180), math.rad(-180), math.rad(-5), math.rad(90)},
                    };
GT_t.WS_t.ship_Bofors_40_Mk_12.omegaY = math.rad(115) -- Block 1B
GT_t.WS_t.ship_Bofors_40_Mk_12.omegaZ = math.rad(116) -- Block 1B
GT_t.WS_t.ship_Bofors_40_Mk_12.pidY = {p=300, i = 0.05, d = 10.0, inn = 1000};
GT_t.WS_t.ship_Bofors_40_Mk_12.pidZ = {p=300, i = 0.05, d = 10.0, inn = 1000};
GT_t.WS_t.ship_Bofors_40_Mk_12.reference_angle_Z = 0
GT_t.WS_t.ship_Bofors_40_Mk_12.LN = {}
GT_t.WS_t.ship_Bofors_40_Mk_12.LN[1] = {}
GT_t.WS_t.ship_Bofors_40_Mk_12.LN[1].type = 3
GT_t.WS_t.ship_Bofors_40_Mk_12.LN[1].distanceMin = 10
GT_t.WS_t.ship_Bofors_40_Mk_12.LN[1].distanceMax = 7160 -- effective shooting
GT_t.WS_t.ship_Bofors_40_Mk_12.LN[1].max_trg_alt = 3800
GT_t.WS_t.ship_Bofors_40_Mk_12.LN[1].reactionTime = 1.8
GT_t.WS_t.ship_Bofors_40_Mk_12.LN[1].beamWidth = math.rad(1);
GT_t.WS_t.ship_Bofors_40_Mk_12.LN[1].sensor = {}
set_recursive_metatable(GT_t.WS_t.ship_Bofors_40_Mk_12.LN[1].sensor, GT_t.WSN_t[3])
GT_t.WS_t.ship_Bofors_40_Mk_12.LN[1].PL = {}
GT_t.WS_t.ship_Bofors_40_Mk_12.LN[1].PL[1] = {}
GT_t.WS_t.ship_Bofors_40_Mk_12.LN[1].PL[1].ammo_capacity = 560;
GT_t.WS_t.ship_Bofors_40_Mk_12.LN[1].PL[1].shell_name = {"Boforos_40_Mk12_HE"};
GT_t.WS_t.ship_Bofors_40_Mk_12.LN[1].PL[1].shell_display_name = "40mm HE";
GT_t.WS_t.ship_Bofors_40_Mk_12.LN[1].PL[1].shot_delay = 60/120 -- 120 rpm
GT_t.WS_t.ship_Bofors_40_Mk_12.LN[1].PL[1].reload_time = 1000000; -- never during the mission (ship autogun)
GT_t.WS_t.ship_Bofors_40_Mk_12.LN[1].BR = { {pos = {3.478, 0, 0} }, }


-------------------------------------------------------------------------------------------------
--   Descrizione Cannoni da 150mm
-------------------------------------------------------------------------------------------------
-- 38 Caliber Mark 12 (127 mm) naval artillery weapons. Source: https://en.wikipedia.org/wiki/5%22/38_caliber_gun
-- Used default FMC5 MK45 127mm Navy artillery weapon system as template with alterations
GT_t.WS_t.ship_38cal_Mk12 = {name = "127 mm Mark 12"}
GT_t.WS_t.ship_38cal_Mk12.angles = {
					{math.rad(164.25), math.rad(-164.25), math.rad(-15), math.rad(85)},
					};
GT_t.WS_t.ship_38cal_Mk12.omegaY = 0.6
GT_t.WS_t.ship_38cal_Mk12.omegaZ = 0.6
GT_t.WS_t.ship_38cal_Mk12.reference_angle_Z = 0
GT_t.WS_t.ship_38cal_Mk12.LN = {}
GT_t.WS_t.ship_38cal_Mk12.LN[1] = {}
GT_t.WS_t.ship_38cal_Mk12.LN[1].type = 6
GT_t.WS_t.ship_38cal_Mk12.LN[1].xc = 3
GT_t.WS_t.ship_38cal_Mk12.LN[1].distanceMin = 50
GT_t.WS_t.ship_38cal_Mk12.LN[1].max_trg_alt = 7500
GT_t.WS_t.ship_38cal_Mk12.LN[1].reactionTime = 15
GT_t.WS_t.ship_38cal_Mk12.LN[1].sensor = {}
set_recursive_metatable(GT_t.WS_t.ship_38cal_Mk12.LN[1].sensor, GT_t.WSN_t[10])
GT_t.WS_t.ship_38cal_Mk12.LN[1].PL = {}
GT_t.WS_t.ship_38cal_Mk12.LN[1].PL[1] = {}
GT_t.WS_t.ship_38cal_Mk12.LN[1].PL[1].ammo_capacity = 240 -- Currently uses same ammo count as SK_C_38
GT_t.WS_t.ship_38cal_Mk12.LN[1].PL[1].shell_name = {"MK45_127"}; -- Currently uses MK45 127 mm shells (127 mm ammo is WIP)
GT_t.WS_t.ship_38cal_Mk12.LN[1].PL[1].shot_delay = 60/15 -- (15 rounds per minute per barrel - average)
GT_t.WS_t.ship_38cal_Mk12.LN[1].automaticLoader = false;
GT_t.WS_t.ship_38cal_Mk12.LN[1].reload_time = 240 * 20
GT_t.WS_t.ship_38cal_Mk12.LN[1].BR = { {pos = {8, 0, 0.1} }, {pos = {8, 0, -0.1} } }


-------------------------------------------------------------------------------------------------
--   Descrizione Cannoni da 406mm
-------------------------------------------------------------------------------------------------
-- 45 Caliber Mark 6 (406 mm) naval artillery weapons. Source: https://en.wikipedia.org/wiki/16%22/45_caliber_Mark_6_gun
-- Used default AK130 130mm Navy artillery weapon system as template with alterations
GT_t.WS_t.ship_45cal_Mk6 = {name = "406 mm Mark 6"}
GT_t.WS_t.ship_45cal_Mk6.angles = {
					{math.rad(150), math.rad(-150), math.rad(-2), math.rad(45)},
					};
GT_t.WS_t.ship_45cal_Mk6.omegaY = 0.6
GT_t.WS_t.ship_45cal_Mk6.omegaZ = 0.6
GT_t.WS_t.ship_45cal_Mk6.reference_angle_Z = 0
GT_t.WS_t.ship_45cal_Mk6.LN = {}
GT_t.WS_t.ship_45cal_Mk6.LN[1] = {}
GT_t.WS_t.ship_45cal_Mk6.LN[1].type = 6
GT_t.WS_t.ship_45cal_Mk6.LN[1].distanceMin = 50
GT_t.WS_t.ship_45cal_Mk6.LN[1].max_trg_alt = 20
GT_t.WS_t.ship_45cal_Mk6.LN[1].reactionTime = 15
GT_t.WS_t.ship_45cal_Mk6.LN[1].sensor = {}
set_recursive_metatable(GT_t.WS_t.ship_45cal_Mk6.LN[1].sensor, GT_t.WSN_t[10])
GT_t.WS_t.ship_45cal_Mk6.LN[1].PL = {}
GT_t.WS_t.ship_45cal_Mk6.LN[1].PL[1] = {}
GT_t.WS_t.ship_45cal_Mk6.LN[1].PL[1].ammo_capacity = 240
GT_t.WS_t.ship_45cal_Mk6.LN[1].PL[1].shell_name = {"A222_130"}; -- Currently uses A222 130 mm shells (406 mm ammo is WIP)
--GT_t.WS_t.ship_45cal_Mk6.LN[1].PL[1].shell_name = {"Shell_406mm"};

GT_t.WS_t.ship_45cal_Mk6.LN[1].PL[1].shot_delay = 60/2 -- (2 rounds per minute per barrel - average)
GT_t.WS_t.ship_45cal_Mk6.LN[1].automaticLoader = false;
GT_t.WS_t.ship_45cal_Mk6.LN[1].reload_time = 240 * 20
GT_t.WS_t.ship_45cal_Mk6.LN[1].BR = { {pos = {8, 0, 0.1} }, {pos = {8, 0, 0.0} }, {pos = {8, 0, -0.1} } }


-------------------------------------------------------------------------------------
--  Start Weapons systems
-------------------------------------------------------------------------------------
-- weapon systems
GT.WS = {}
local ws;
GT.WS.maxTargetDetectionRange = 450000;
GT.WS.radar_type = 102

-----------------------------------------------------------------------------------------------------------
---------- *************** 8 turrets with  single cannons 127mm   ****************---------------
-----------------------------------------------------------------------------------------------------------

--- 1)  130mm turret turned towards the bow---------------------
-- Note: Currently can fire up to about 23 km in range with 127 mm shells from default FMC5 weapons system.
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_38cal_Mk12 )
GT.WS[ws].area = 'Scafo_Prua_Sx'
GT.WS[ws].center = 'CENTER_TOWER_04'
GT.WS[ws].drawArgument1 = 19
GT.WS[ws].drawArgument2 = 20
GT.WS[ws].angles[1][1] = math.rad(150);
GT.WS[ws].angles[1][2] = math.rad(0);
GT.WS[ws].reference_angle_Y = math.rad(0);   
GT.WS[ws].LN[1].BR[1].recoilTime = 1.0;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_CV6_MT_1',
		recoilArgument = 36,
	}
}



--- 2)  130mm turret turned towards the bow---------------------
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_38cal_Mk12 )
GT.WS[ws].area = 'Scafo_Prua_Dx'
GT.WS[ws].center = 'CENTER_TOWER_05'
GT.WS[ws].drawArgument1 = 21
GT.WS[ws].drawArgument2 = 22
GT.WS[ws].angles[1][1] = math.rad(0);
GT.WS[ws].angles[1][2] = math.rad(-150);
GT.WS[ws].reference_angle_Y = math.rad(-0);   
GT.WS[ws].LN[1].BR[1].recoilTime = 1.0;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_CV6_MT_2',
		recoilArgument = 37,
	}
}

--- 3)  130mm turret turned towards the bow---------------------
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_38cal_Mk12 )
GT.WS[ws].area = 'Scafo_Centrale_Sx'
GT.WS[ws].center = 'CENTER_TOWER_06'
GT.WS[ws].drawArgument1 = 23
GT.WS[ws].drawArgument2 = 24
GT.WS[ws].angles[1][1] = math.rad(150);
GT.WS[ws].angles[1][2] = math.rad(0);
GT.WS[ws].reference_angle_Y = math.rad(0);   
GT.WS[ws].LN[1].BR[1].recoilTime = 1.0;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_CV6_MT_3',
		recoilArgument = 38,
	}
}

--- 4)  130mm turret turned towards the bow---------------------
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_38cal_Mk12 )
GT.WS[ws].area = 'Scafo_Centrale_Dx'
GT.WS[ws].center = 'CENTER_TOWER_07'
GT.WS[ws].drawArgument1 = 25
GT.WS[ws].drawArgument2 = 26
GT.WS[ws].angles[1][1] = math.rad(-0);
GT.WS[ws].angles[1][2] = math.rad(-150);
GT.WS[ws].reference_angle_Y = math.rad(-0);   
GT.WS[ws].LN[1].BR[1].recoilTime = 1.0;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_CV6_MT_4',
		recoilArgument = 39,
	}
}

--- 5)  130mm turret turned towards the bow---------------------
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_38cal_Mk12 )
GT.WS[ws].area = 'Scafo_Centrale_Dx'
GT.WS[ws].center = 'CENTER_TOWER_08'
GT.WS[ws].drawArgument1 = 27
GT.WS[ws].drawArgument2 = 28
GT.WS[ws].angles[1][1] = math.rad(150);
GT.WS[ws].angles[1][2] = math.rad(0);
GT.WS[ws].reference_angle_Y = math.rad(0);   
GT.WS[ws].LN[1].BR[1].recoilTime = 1.0;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_CV6_MT_5',
		recoilArgument = 40,
	}
}

--- 6)  130mm turret turned towards the bow---------------------
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_38cal_Mk12 )
GT.WS[ws].area = 'Scafo_Centrale_Dx'
GT.WS[ws].center = 'CENTER_TOWER_09'
GT.WS[ws].drawArgument1 = 29
GT.WS[ws].drawArgument2 = 30
GT.WS[ws].angles[1][1] = math.rad(-0);
GT.WS[ws].angles[1][2] = math.rad(-150);
GT.WS[ws].reference_angle_Y = math.rad(-0);   
GT.WS[ws].LN[1].BR[1].recoilTime = 1.0;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_CV6_MT_6',
		recoilArgument = 41,
	}
}

--- 7)  130mm turret facing aft --------------------
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_38cal_Mk12 )
GT.WS[ws].area = 'Scafo_Centrale_Sx'
GT.WS[ws].center = 'CENTER_TOWER_10'
GT.WS[ws].drawArgument1 = 31
GT.WS[ws].drawArgument2 = 32
GT.WS[ws].angles[1][1] = math.rad(180);
GT.WS[ws].angles[1][2] = math.rad(0);
GT.WS[ws].reference_angle_Y = math.rad(0);   
GT.WS[ws].LN[1].BR[1].recoilTime = 1.0;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_CV6_MT_7',
		recoilArgument = 42,
	}
}


--- 8)  130mm turret facing aft ---------------------
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_38cal_Mk12 )
GT.WS[ws].area = 'Scafo_Centrale_Dx'
GT.WS[ws].center = 'CENTER_TOWER_11'
GT.WS[ws].drawArgument1 = 43
GT.WS[ws].drawArgument2 = 44
GT.WS[ws].angles[1][1] = math.rad(-0);
GT.WS[ws].angles[1][2] = math.rad(-180);
GT.WS[ws].reference_angle_Y = math.rad(-0);   
GT.WS[ws].LN[1].BR[1].recoilTime = 1.0;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_CV6_MT_8',
		recoilArgument = 144,
	}
}



---------------------------------------------------------------------------------------------------------------------------------
---------- ***************   5  quad Bofors 40 mm guns    ****************------------------------
---------------------------------------------------------------------------------------------------------------------------------
--- 1)  quad Bofors 40 mm guns - Left
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Bofors_40_Mk_12 )
GT.WS[ws].area = 'Scafo_Centrale_Sx'
GT.WS[ws].center = 'CENTER_TOWER_14'
GT.WS[ws].drawArgument1 = 49
GT.WS[ws].drawArgument2 = 50
GT.WS[ws].angles[1][1] = math.rad(90);
GT.WS[ws].angles[1][2] = math.rad(-90);
GT.WS[ws].reference_angle_Y = math.rad(0);  
GT.WS[ws].LN[1].BR[1].recoilTime = 1.0;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_Bofors_1_1',
		recoilArgument = 150,
	},
	{
		connector_name = 'POINT_Bofors_1_2',
		recoilArgument = 150,
	},
	{
		connector_name = 'POINT_Bofors_1_3',
		recoilArgument = 150,
	},
	{
		connector_name = 'POINT_Bofors_1_4',
		recoilArgument = 150,
	}
}

--- 2)  quad Bofors 40 mm guns - Right
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Bofors_40_Mk_12 )
GT.WS[ws].area = 'Scafo_Centrale_Sx'
GT.WS[ws].center = 'CENTER_TOWER_15'
GT.WS[ws].drawArgument1 = 51
GT.WS[ws].drawArgument2 = 52
GT.WS[ws].angles[1][1] = math.rad(150);
GT.WS[ws].angles[1][2] = math.rad(-150);
GT.WS[ws].reference_angle_Y = math.rad(0);  
GT.WS[ws].LN[1].BR[1].recoilTime = 1.0;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_Bofors_2_1',
		recoilArgument = 152,
	},
	{
		connector_name = 'POINT_Bofors_2_2',
		recoilArgument = 152,
	},
	{
		connector_name = 'POINT_Bofors_2_3',
		recoilArgument = 152,
	},
	{
		connector_name = 'POINT_Bofors_2_4',
		recoilArgument = 152,
	}
}



--- 3)  quad Bofors 40 mm guns - left/aft
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Bofors_40_Mk_12 )
GT.WS[ws].area = 'Strutture_Poppa'
GT.WS[ws].center = 'CENTER_TOWER_16'
GT.WS[ws].drawArgument1 = 53
GT.WS[ws].drawArgument2 = 54
GT.WS[ws].angles[1][1] = math.rad(150);
GT.WS[ws].angles[1][2] = math.rad(-150);
GT.WS[ws].reference_angle_Y = math.rad(0);  
GT.WS[ws].LN[1].BR[1].recoilTime = 1.0;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_Bofors_3_1',
		recoilArgument = 154,
	},
	{
		connector_name = 'POINT_Bofors_3_2',
		recoilArgument = 154,
	},
	{
		connector_name = 'POINT_Bofors_3_3',
		recoilArgument = 154,
	},
	{
		connector_name = 'POINT_Bofors_3_4',
		recoilArgument = 154,
	}
}


--- 4)  quad Bofors 40 mm guns - right/aft
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Bofors_40_Mk_12 )
GT.WS[ws].area = 'Strutture_Poppa'
GT.WS[ws].center = 'CENTER_TOWER_17'
GT.WS[ws].drawArgument1 = 55
GT.WS[ws].drawArgument2 = 56
GT.WS[ws].angles[1][1] = math.rad(-20);
GT.WS[ws].angles[1][2] = math.rad(50);
GT.WS[ws].reference_angle_Y = math.rad(-179);  
GT.WS[ws].LN[1].BR[1].recoilTime = 1.0;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_Bofors_4_1',
		recoilArgument = 156,
	},
	{
		connector_name = 'POINT_Bofors_4_2',
		recoilArgument = 156,
	},
	{
		connector_name = 'POINT_Bofors_4_3',
		recoilArgument = 156,
	},
	{
		connector_name = 'POINT_Bofors_4_4',
		recoilArgument = 156,
	}
}

--- 5)  quad Bofors 40 mm guns - right/aft
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Bofors_40_Mk_12 )
GT.WS[ws].area = 'Strutture_Poppa'
GT.WS[ws].center = 'CENTER_TOWER_18'
GT.WS[ws].drawArgument1 = 57
GT.WS[ws].drawArgument2 = 58
GT.WS[ws].angles[1][1] = math.rad(-20);
GT.WS[ws].angles[1][2] = math.rad(50);
GT.WS[ws].reference_angle_Y = math.rad(-179);  
GT.WS[ws].LN[1].BR[1].recoilTime = 1.0;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_Bofors_5_1',
		recoilArgument = 158,
	},
	{
		connector_name = 'POINT_Bofors_5_2',
		recoilArgument = 158,
	},
	{
		connector_name = 'POINT_Bofors_5_3',
		recoilArgument = 158,
	},
	{
		connector_name = 'POINT_Bofors_5_4',
		recoilArgument = 158,
	}
}

---------------------------------------------------------------------------------------------------------------------------------
---------- ***************   5  dual Bofors 40 mm guns    ****************------------------------
--------------------------------------------------------------------------------------------------
--- 1)  dual Bofors 40 mm guns - Left
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Bofors_40_Mk_12 )
GT.WS[ws].area = 'Strutture_Poppa'
GT.WS[ws].center = 'CENTER_TOWER_51'
GT.WS[ws].drawArgument1 = 123
GT.WS[ws].drawArgument2 = 124
GT.WS[ws].angles[1][1] = math.rad(150);
GT.WS[ws].angles[1][2] = math.rad(0);
GT.WS[ws].reference_angle_Y = math.rad(90);  
GT.WS[ws].LN[1].BR[1].recoilTime = 1.0;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_DualBofors_1_1',
		recoilArgument = 224,
	},
	{
		connector_name = 'POINT_DualBofors_1_2',
		recoilArgument = 224,
	}
}

--- 2)  quad Bofors 40 mm guns - Right
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Bofors_40_Mk_12 )
GT.WS[ws].area = 'Strutture_Poppa'
GT.WS[ws].center = 'CENTER_TOWER_52'
GT.WS[ws].drawArgument1 = 125
GT.WS[ws].drawArgument2 = 126
GT.WS[ws].angles[1][1] = math.rad(-150);
GT.WS[ws].angles[1][2] = math.rad(-0);
GT.WS[ws].reference_angle_Y = math.rad(-90);  
GT.WS[ws].LN[1].BR[1].recoilTime = 1.0;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_DualBofors_2_1',
		recoilArgument = 226,
	},
	{
		connector_name = 'POINT_DualBofors_2_2',
		recoilArgument = 226,
	}
}

--- 3)  dual Bofors 40 mm guns - left
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Bofors_40_Mk_12 )
GT.WS[ws].area = 'Strutture_Poppa'
GT.WS[ws].center = 'CENTER_TOWER_53'
GT.WS[ws].drawArgument1 = 127
GT.WS[ws].drawArgument2 = 128
GT.WS[ws].angles[1][1] = math.rad(180);
GT.WS[ws].angles[1][2] = math.rad(30);
GT.WS[ws].reference_angle_Y = math.rad(90);  
GT.WS[ws].LN[1].BR[1].recoilTime = 1.0;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_DualBofors_3_1',
		recoilArgument = 228,
	},
	{
		connector_name = 'POINT_DualBofors_3_2',
		recoilArgument = 286,
	}
}

--- 4)  dual Bofors 40 mm guns - right
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Bofors_40_Mk_12 )
GT.WS[ws].area = 'Strutture_Poppa'
GT.WS[ws].center = 'CENTER_TOWER_54'
GT.WS[ws].drawArgument1 = 129
GT.WS[ws].drawArgument2 = 130
GT.WS[ws].angles[1][1] = math.rad(180);
GT.WS[ws].angles[1][2] = math.rad(30);
GT.WS[ws].reference_angle_Y = math.rad(90);  
GT.WS[ws].LN[1].BR[1].recoilTime = 1.0;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_DualBofors_4_1',
		recoilArgument = 230,
	},
	{
		connector_name = 'POINT_DualBofors_4_2',
		recoilArgument = 230,
	}
}


--------------------------------------------------------------------------------------------------------------------------------
---------- ***************   37 Machine Gun 20mm    ****************------------------------
---------------------------------------------------------------------------------------------------------------------------------
--1) MGun Sx
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].area = 'Scafo_Prua_Sx'
GT.WS[ws].center = 'CENTER_TOWER_19'
GT.WS[ws].drawArgument1 = 59
GT.WS[ws].drawArgument2 = 60
GT.WS[ws].angles[1][1] = math.rad(135);
GT.WS[ws].angles[1][2] = math.rad(0);
GT.WS[ws].reference_angle_Y = math.rad(90);  -- valore originale 90
GT.WS[ws].LN[1].fireAnimationArgument = 160;
GT.WS[ws].LN[1].BR[1].recoilTime = 1;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_MGun_1_1',
		recoilArgument = 160,
	},
	{
		connector_name = 'POINT_MGun_1_2',
		recoilArgument = 160,
	}
}
--2) MGun Dx
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].area = 'Scafo_Prua_Dx'
GT.WS[ws].center = 'CENTER_TOWER_20'
GT.WS[ws].drawArgument1 = 61
GT.WS[ws].drawArgument2 = 62
GT.WS[ws].angles[1][1] = math.rad(-135);
GT.WS[ws].angles[1][2] = math.rad(-0);
GT.WS[ws].reference_angle_Y = math.rad(-90);  -- valore originale 90
GT.WS[ws].LN[1].fireAnimationArgument = 162;
GT.WS[ws].LN[1].BR[1].recoilTime = 1;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_MGun_2_1',
		recoilArgument = 162,
	},
	{
		connector_name = 'POINT_MGun_2_2',
		recoilArgument = 162,
	}
}

--3) MGun Sx
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].area = 'Scafo_Prua_Sx'
GT.WS[ws].center = 'CENTER_TOWER_21'
GT.WS[ws].drawArgument1 = 63
GT.WS[ws].drawArgument2 = 64
GT.WS[ws].angles[1][1] = math.rad(150);
GT.WS[ws].angles[1][2] = math.rad(0);
GT.WS[ws].reference_angle_Y = math.rad(90);  -- valore originale 90
GT.WS[ws].LN[1].fireAnimationArgument = 164;
GT.WS[ws].LN[1].BR[1].recoilTime = 1;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_MGun_3_1',
		recoilArgument = 164,
	},
	{
		connector_name = 'POINT_MGun_3_2',
		recoilArgument = 164,
	}
}
--4) MGun Dx
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].area = 'Scafo_Prua_Dx'
GT.WS[ws].center = 'CENTER_TOWER_22'
GT.WS[ws].drawArgument1 = 65
GT.WS[ws].drawArgument2 = 66
GT.WS[ws].angles[1][1] = math.rad(-0);
GT.WS[ws].angles[1][2] = math.rad(-150);
GT.WS[ws].reference_angle_Y = math.rad(-90);  -- valore originale 90
GT.WS[ws].LN[1].fireAnimationArgument = 166;
GT.WS[ws].LN[1].BR[1].recoilTime = 1;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_MGun_4_1',
		recoilArgument = 166,
	},
	{
		connector_name = 'POINT_MGun_4_2',
		recoilArgument = 166,
	}
}

--5) MGun Dx
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].area = 'Scafo_Prua_Sx'
GT.WS[ws].center = 'CENTER_TOWER_23'
GT.WS[ws].drawArgument1 = 67
GT.WS[ws].drawArgument2 = 68
GT.WS[ws].angles[1][1] = math.rad(135);
GT.WS[ws].angles[1][2] = math.rad(35);
GT.WS[ws].reference_angle_Y = math.rad(90);  -- valore originale 90
GT.WS[ws].LN[1].fireAnimationArgument = 168;
GT.WS[ws].LN[1].BR[1].recoilTime = 1;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_MGun_5_1',
		recoilArgument = 168,
	},
	{
		connector_name = 'POINT_MGun_5_2',
		recoilArgument = 168,
	}
}

--6) MGun Dx
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].area = 'Scafo_Prua_Dx'
GT.WS[ws].center = 'CENTER_TOWER_24'
GT.WS[ws].drawArgument1 = 69
GT.WS[ws].drawArgument2 = 70
GT.WS[ws].angles[1][1] = math.rad(-35);
GT.WS[ws].angles[1][2] = math.rad(-135);
GT.WS[ws].reference_angle_Y = math.rad(-90);  -- valore originale 90
GT.WS[ws].LN[1].fireAnimationArgument = 170;
GT.WS[ws].LN[1].BR[1].recoilTime = 1;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_MGun_6_1',
		recoilArgument = 170,
	},
	{
		connector_name = 'POINT_MGun_6_2',
		recoilArgument = 170,
	}
}

--7) MGun Dx
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].area = 'Scafo_Prua_Sx'
GT.WS[ws].center = 'CENTER_TOWER_25'
GT.WS[ws].drawArgument1 = 71
GT.WS[ws].drawArgument2 = 72
GT.WS[ws].angles[1][1] = math.rad(180);
GT.WS[ws].angles[1][2] = math.rad(35);
GT.WS[ws].reference_angle_Y = math.rad(90);  
GT.WS[ws].LN[1].fireAnimationArgument = 172;
GT.WS[ws].LN[1].BR[1].recoilTime = 1;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_MGun_7_1',
		recoilArgument = 172,
	},
	{
		connector_name = 'POINT_MGun_7_2',
		recoilArgument = 172,
	}
}


--8) MGun Dx
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].area = 'Scafo_Prua_Dx'
GT.WS[ws].center = 'CENTER_TOWER_26'
GT.WS[ws].drawArgument1 = 73
GT.WS[ws].drawArgument2 = 74
GT.WS[ws].angles[1][1] = math.rad(-35);
GT.WS[ws].angles[1][2] = math.rad(-180);
GT.WS[ws].reference_angle_Y = math.rad(-90);  
GT.WS[ws].LN[1].fireAnimationArgument = 174;
GT.WS[ws].LN[1].BR[1].recoilTime = 1;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_MGun_8_1',
		recoilArgument = 174,
	},
	{
		connector_name = 'POINT_MGun_8_2',
		recoilArgument = 174,
	}
}

--10) MGun Dx
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].area = 'Scafo_Prua_Dx'
GT.WS[ws].center = 'CENTER_TOWER_28'
GT.WS[ws].drawArgument1 = 77
GT.WS[ws].drawArgument2 = 78
GT.WS[ws].angles[1][1] = math.rad(-35);
GT.WS[ws].angles[1][2] = math.rad(-180);
GT.WS[ws].reference_angle_Y = math.rad(-90);  
GT.WS[ws].LN[1].fireAnimationArgument = 178;
GT.WS[ws].LN[1].BR[1].recoilTime = 1;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_MGun_10_1',
		recoilArgument = 178,
	},
	{
		connector_name = 'POINT_MGun_10_2',
		recoilArgument = 178,
	}
}

--11) MGun Sx
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].area = 'Scafo_Prua_Dx'
GT.WS[ws].center = 'CENTER_TOWER_29'
GT.WS[ws].drawArgument1 = 79
GT.WS[ws].drawArgument2 = 80
GT.WS[ws].angles[1][1] = math.rad(150);
GT.WS[ws].angles[1][2] = math.rad(0);
GT.WS[ws].reference_angle_Y = math.rad(90);  
GT.WS[ws].LN[1].fireAnimationArgument = 180;
GT.WS[ws].LN[1].BR[1].recoilTime = 1;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_MGun_11_1',
		recoilArgument = 180,
	},
	{
		connector_name = 'POINT_MGun_11_2',
		recoilArgument = 180,
	}
}


--13) MGun Dx
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].area = 'Scafo_Prua_Sx'
GT.WS[ws].center = 'CENTER_TOWER_31'
GT.WS[ws].drawArgument1 = 83
GT.WS[ws].drawArgument2 = 84
GT.WS[ws].angles[1][1] = math.rad(150);
GT.WS[ws].angles[1][2] = math.rad(0);
GT.WS[ws].reference_angle_Y = math.rad(90);  
GT.WS[ws].LN[1].fireAnimationArgument = 184;
GT.WS[ws].LN[1].BR[1].recoilTime = 1;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_MGun_13_1',
		recoilArgument = 184,
	},
	{
		connector_name = 'POINT_MGun_13_2',
		recoilArgument = 184,
	}
}


--15) MGun Dx
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].area = 'Scafo_Prua_Sx'
GT.WS[ws].center = 'CENTER_TOWER_33'
GT.WS[ws].drawArgument1 = 87
GT.WS[ws].drawArgument2 = 88
GT.WS[ws].angles[1][1] = math.rad(150);
GT.WS[ws].angles[1][2] = math.rad(35);
GT.WS[ws].reference_angle_Y = math.rad(90);  
GT.WS[ws].LN[1].fireAnimationArgument = 188;
GT.WS[ws].LN[1].BR[1].recoilTime = 1;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_MGun_15_1',
		recoilArgument = 188,
	},
	{
		connector_name = 'POINT_MGun_15_2',
		recoilArgument = 188,
	}
}


--17) MGun Sx
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].area = 'Scafo_Prua_Sx'
GT.WS[ws].center = 'CENTER_TOWER_35'
GT.WS[ws].drawArgument1 = 91
GT.WS[ws].drawArgument2 = 92
GT.WS[ws].angles[1][1] = math.rad(150);
GT.WS[ws].angles[1][2] = math.rad(10);
GT.WS[ws].reference_angle_Y = math.rad(90);  
GT.WS[ws].LN[1].fireAnimationArgument = 192;
GT.WS[ws].LN[1].BR[1].recoilTime = 1;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_MGun_17_1',
		recoilArgument = 192,
	},
	{
		connector_name = 'POINT_MGun_17_2',
		recoilArgument = 192,
	}
}

--18) MGun Dx
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].area = 'Scafo_Prua_Dx'
GT.WS[ws].center = 'CENTER_TOWER_36'
GT.WS[ws].drawArgument1 = 93
GT.WS[ws].drawArgument2 = 94
GT.WS[ws].angles[1][1] = math.rad(-10);
GT.WS[ws].angles[1][2] = math.rad(-180);
GT.WS[ws].reference_angle_Y = math.rad(-90);  
GT.WS[ws].LN[1].fireAnimationArgument = 194;
GT.WS[ws].LN[1].BR[1].recoilTime = 1;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_MGun_18_1',
		recoilArgument = 192,
	},
	{
		connector_name = 'POINT_MGun_18_2',
		recoilArgument = 192,
	}
}

--19) MGun Sx
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].area = 'Scafo_Prua_Sx'
GT.WS[ws].center = 'CENTER_TOWER_37'
GT.WS[ws].drawArgument1 = 95
GT.WS[ws].drawArgument2 = 96
GT.WS[ws].angles[1][1] = math.rad(180);
GT.WS[ws].angles[1][2] = math.rad(10);
GT.WS[ws].reference_angle_Y = math.rad(90);  
GT.WS[ws].LN[1].fireAnimationArgument = 196;
GT.WS[ws].LN[1].BR[1].recoilTime = 1;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_MGun_19_1',
		recoilArgument = 196,
	},
	{
		connector_name = 'POINT_MGun_19_2',
		recoilArgument = 196,
	}
}

--20) MGun Dx
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].area = 'Scafo_Prua_Dx'
GT.WS[ws].center = 'CENTER_TOWER_38'
GT.WS[ws].drawArgument1 = 97
GT.WS[ws].drawArgument2 = 98
GT.WS[ws].angles[1][1] = math.rad(-180);
GT.WS[ws].angles[1][2] = math.rad(-10);
GT.WS[ws].reference_angle_Y = math.rad(-90);  
GT.WS[ws].LN[1].fireAnimationArgument = 198;
GT.WS[ws].LN[1].BR[1].recoilTime = 1;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_MGun_20_1',
		recoilArgument = 198,
	},
	{
		connector_name = 'POINT_MGun_20_2',
		recoilArgument = 198,
	}
}
--21) MGun Sx
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].area = 'Scafo_Prua_Sx'
GT.WS[ws].center = 'CENTER_TOWER_39'
GT.WS[ws].drawArgument1 = 99
GT.WS[ws].drawArgument2 = 100
GT.WS[ws].angles[1][1] = math.rad(180);
GT.WS[ws].angles[1][2] = math.rad(0);
GT.WS[ws].reference_angle_Y = math.rad(90);  
GT.WS[ws].LN[1].fireAnimationArgument = 199;
GT.WS[ws].LN[1].BR[1].recoilTime = 1;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_MGun_21_1',
		recoilArgument = 199,
	},
	{
		connector_name = 'POINT_MGun_21_2',
		recoilArgument = 199,
	}
}

--22) MGun Dx
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].area = 'Scafo_Prua_Dx'
GT.WS[ws].center = 'CENTER_TOWER_40'
GT.WS[ws].drawArgument1 = 101
GT.WS[ws].drawArgument2 = 102
GT.WS[ws].angles[1][1] = math.rad(-0);
GT.WS[ws].angles[1][2] = math.rad(-150);
GT.WS[ws].reference_angle_Y = math.rad(-90);  
GT.WS[ws].LN[1].fireAnimationArgument = 202;
GT.WS[ws].LN[1].BR[1].recoilTime = 1;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_MGun_22_1',
		recoilArgument = 202,
	},
	{
		connector_name = 'POINT_MGun_22_2',
		recoilArgument = 202,
	}
}


--25) MGun Dx
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].area = 'Scafo_Prua_Sx'
GT.WS[ws].center = 'CENTER_TOWER_43'
GT.WS[ws].drawArgument1 = 107
GT.WS[ws].drawArgument2 = 108
GT.WS[ws].angles[1][1] = math.rad(-20);
GT.WS[ws].angles[1][2] = math.rad(-160);
GT.WS[ws].reference_angle_Y = math.rad(-90);  
GT.WS[ws].LN[1].fireAnimationArgument = 208;
GT.WS[ws].LN[1].BR[1].recoilTime = 1;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_MGun_25_1',
		recoilArgument = 208,
	},
	{
		connector_name = 'POINT_MGun_25_2',
		recoilArgument = 208,
	}
}
--26) MGun Dx
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].area = 'Scafo_Prua_Dx'
GT.WS[ws].center = 'CENTER_TOWER_44'
GT.WS[ws].drawArgument1 = 109
GT.WS[ws].drawArgument2 = 110
GT.WS[ws].angles[1][1] = math.rad(-0);
GT.WS[ws].angles[1][2] = math.rad(-150);
GT.WS[ws].reference_angle_Y = math.rad(-90);  
GT.WS[ws].LN[1].fireAnimationArgument = 210;
GT.WS[ws].LN[1].BR[1].recoilTime = 1;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_MGun_26_1',
		recoilArgument = 210,
	},
	{
		connector_name = 'POINT_MGun_26_2',
		recoilArgument = 210,
	}
}
--27) MGun Dx
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].area = 'Scafo_Prua_Sx'
GT.WS[ws].center = 'CENTER_TOWER_45'
GT.WS[ws].drawArgument1 = 111
GT.WS[ws].drawArgument2 = 112
GT.WS[ws].angles[1][1] = math.rad(-140);
GT.WS[ws].angles[1][2] = math.rad(-35);
GT.WS[ws].reference_angle_Y = math.rad(-90);  
GT.WS[ws].LN[1].fireAnimationArgument = 212;
GT.WS[ws].LN[1].BR[1].recoilTime = 1;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_MGun_27_1',
		recoilArgument = 212,
	},
	{
		connector_name = 'POINT_MGun_27_2',
		recoilArgument = 212,
	}
}
--28) MGun Dx
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].area = 'Scafo_Prua_Dx'
GT.WS[ws].center = 'CENTER_TOWER_46'
GT.WS[ws].drawArgument1 = 113
GT.WS[ws].drawArgument2 = 114
GT.WS[ws].angles[1][1] = math.rad(-10);
GT.WS[ws].angles[1][2] = math.rad(-145);
GT.WS[ws].reference_angle_Y = math.rad(-90);  
GT.WS[ws].LN[1].fireAnimationArgument = 214;
GT.WS[ws].LN[1].BR[1].recoilTime = 1;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_MGun_28_1',
		recoilArgument = 214,
	},
	{
		connector_name = 'POINT_MGun_28_2',
		recoilArgument = 214,
	}
}
--29) MGun Sx
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].area = 'Scafo_Prua_Sx'
GT.WS[ws].center = 'CENTER_TOWER_47'
GT.WS[ws].drawArgument1 = 115
GT.WS[ws].drawArgument2 = 116
GT.WS[ws].angles[1][1] = math.rad(-35);
GT.WS[ws].angles[1][2] = math.rad(-180);
GT.WS[ws].reference_angle_Y = math.rad(-90);  
GT.WS[ws].LN[1].fireAnimationArgument = 216;
GT.WS[ws].LN[1].BR[1].recoilTime = 1;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_MGun_29_1',
		recoilArgument = 216,
	},
	{
		connector_name = 'POINT_MGun_29_2',
		recoilArgument = 216,
	}
}
--30) MGun Dx
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].area = 'Scafo_Prua_Dx'
GT.WS[ws].center = 'CENTER_TOWER_48'
GT.WS[ws].drawArgument1 = 117
GT.WS[ws].drawArgument2 = 118
GT.WS[ws].angles[1][1] = math.rad(-45);
GT.WS[ws].angles[1][2] = math.rad(-180);
GT.WS[ws].reference_angle_Y = math.rad(-90);  
GT.WS[ws].LN[1].fireAnimationArgument = 218;
GT.WS[ws].LN[1].BR[1].recoilTime = 1;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_MGun_30_1',
		recoilArgument = 218,
	},
	{
		connector_name = 'POINT_MGun_30_2',
		recoilArgument = 218,
	}
}
--31) MGun Dx
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].area = 'Scafo_Prua_Sx'
GT.WS[ws].center = 'CENTER_TOWER_49'
GT.WS[ws].drawArgument1 = 119
GT.WS[ws].drawArgument2 = 120
GT.WS[ws].angles[1][1] = math.rad(-45);
GT.WS[ws].angles[1][2] = math.rad(-145);
GT.WS[ws].reference_angle_Y = math.rad(-90);  
GT.WS[ws].LN[1].fireAnimationArgument = 220;
GT.WS[ws].LN[1].BR[1].recoilTime = 1;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_MGun_31_1',
		recoilArgument = 220,
	},
	{
		connector_name = 'POINT_MGun_31_2',
		recoilArgument = 220,
	}
}

--32) MGun Dx
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].area = 'Scafo_Prua_Dx'
GT.WS[ws].center = 'CENTER_TOWER_50'
GT.WS[ws].drawArgument1 = 121
GT.WS[ws].drawArgument2 = 122
GT.WS[ws].angles[1][1] = math.rad(-35);
GT.WS[ws].angles[1][2] = math.rad(-135);
GT.WS[ws].reference_angle_Y = math.rad(-90);  
GT.WS[ws].LN[1].fireAnimationArgument = 222;
GT.WS[ws].LN[1].BR[1].recoilTime = 1;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_MGun_32_1',
		recoilArgument = 222,
	},
	{
		connector_name = 'POINT_MGun_32_2',
		recoilArgument = 222,
	}
}
--33) MGun Dx
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].area = 'Scafo_Prua_Dx'
GT.WS[ws].center = 'CENTER_TOWER_55'
GT.WS[ws].drawArgument1 = 131
GT.WS[ws].drawArgument2 = 132
GT.WS[ws].angles[1][1] = math.rad(-35);
GT.WS[ws].angles[1][2] = math.rad(-135);
GT.WS[ws].reference_angle_Y = math.rad(-90);  
GT.WS[ws].LN[1].fireAnimationArgument = 232;
GT.WS[ws].LN[1].BR[1].recoilTime = 1;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_MGun_33_1',
		recoilArgument = 232,
	},
	{
		connector_name = 'POINT_MGun_33_2',
		recoilArgument = 232,
	}
}

--34) MGun Dx
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].area = 'Scafo_Prua_Dx'
GT.WS[ws].center = 'CENTER_TOWER_56'
GT.WS[ws].drawArgument1 = 133
GT.WS[ws].drawArgument2 = 134
GT.WS[ws].angles[1][1] = math.rad(-30);
GT.WS[ws].angles[1][2] = math.rad(-150);
GT.WS[ws].reference_angle_Y = math.rad(-90);  
GT.WS[ws].LN[1].fireAnimationArgument = 234;
GT.WS[ws].LN[1].BR[1].recoilTime = 1;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_MGun_34_1',
		recoilArgument = 234,
	},
	{
		connector_name = 'POINT_MGun_34_2',
		recoilArgument = 234,
	}
}

--35) MGun Dx
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].area = 'Scafo_Prua_Dx'
GT.WS[ws].center = 'CENTER_TOWER_57'
GT.WS[ws].drawArgument1 = 135
GT.WS[ws].drawArgument2 = 136
GT.WS[ws].angles[1][1] = math.rad(-30);
GT.WS[ws].angles[1][2] = math.rad(-150);
GT.WS[ws].reference_angle_Y = math.rad(-90);  
GT.WS[ws].LN[1].fireAnimationArgument = 236;
GT.WS[ws].LN[1].BR[1].recoilTime = 1;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_MGun_35_1',
		recoilArgument = 236,
	},
	{
		connector_name = 'POINT_MGun_35_2',
		recoilArgument = 236,
	}
}


--36) MGun Dx
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].area = 'Scafo_Prua_Dx'
GT.WS[ws].center = 'CENTER_TOWER_58'
GT.WS[ws].drawArgument1 = 137
GT.WS[ws].drawArgument2 = 138
GT.WS[ws].angles[1][1] = math.rad(-10);
GT.WS[ws].angles[1][2] = math.rad(-180);
GT.WS[ws].reference_angle_Y = math.rad(-90);  
GT.WS[ws].LN[1].fireAnimationArgument = 238;
GT.WS[ws].LN[1].BR[1].recoilTime = 1;
GT.WS[ws].LN[1].BR = 
{
	{
		connector_name = 'POINT_MGun_36_1',
		recoilArgument = 238,
	},
	{
		connector_name = 'POINT_MGun_36_2',
		recoilArgument = 238,
	}
}



------------------------------------------------------------------------------------------------------
--      Parte Finale                                                                                --
------------------------------------------------------------------------------------------------------

GT.Name = " CV6_Enterprise" 
GT.DisplayName = _("USS_Enterprise")
GT.Rate = 5500

GT.Sensors = {  OPTIC = {"long-range naval optics", "long-range naval LLTV"},
                RADAR = {
                    "seasparrow tr",
                    "carrier search radar",
                },
            };

GT.DetectionRange  = GT.airFindDist;
GT.ThreatRange = GT.airWeaponDist;
GT.Singleton   ="yes";
GT.mapclasskey = "P0091000065";
GT.attribute = {wsType_Navy,wsType_Ship,wsType_AirCarrier,
                    "Aircraft Carriers",
				    "Arresting Gear",
                    "ski_jump",
                    "RADAR_BAND1_FOR_ARM",
				};
--[[GT.attribute = {wsType_Navy,wsType_Ship,wsType_AirCarrier,Kuznecow,
                    "Aircraft Carriers",
                    "cord",
                    "ski_jump",
                    "RADAR_BAND1_FOR_ARM",
				};	]]			
GT.Categories = {
					{name = "AircraftCarrier"},
					
					{name = "AircraftCarrier With Catapult"},
					{name = "Armed Ship"},
				};

local deck_crew_names = {        
                              
                                 

                                 "pilot_raf", 	

							     "pilot_raf", 	
								"pilot_raf", 	
								"pilot_raf", 	
								"pilot_raf",
                         		"pilot_raf", 	
								"pilot_raf",						
                                "pilot_raf",
								 "pilot_raf", 	
								"yellow_generator",
								"VP-MAN_2_Check",
                                 "VP-MAN_1_Idle", 	
                                 "VP-MAN_1_Idle", 	
                                 "VP-MAN_2_Check",
                                  "F8F2N", 	 
                                  "F8F2N",  
                                 "VP-MAN_2_Check",		  
                                "VP-MAN_1_Idle", 	
                                 "VP-MAN_1_Idle", 
                                 "VP-MAN_2_Idle",-- mecano
                                 "VP-MAN_2_Idle",-- mecano
                                  "pilot_raf", 	
                                  "pilot_raf", 	
                                  "pilot_raf", 	

								  }
         
local deck_crew_points = {
{-41.0, 17.10, 8.0}, --"pilot_raf", 
{-52.0, 17.10, 8.8}, --"pilot_raf", 
{-40.0, 17.10, 7.0}, --"pilot_raf", 
{-10.0, 17.10, 7.0}, --"pilot_raf", 
{-11.0, 17.10, 7.0}, --"pilot_raf", 
{-15.0, 17.10, 7.0}, --"pilot_raf", 
{-16.0, 17.10, 7.0}, --"pilot_raf", 
{-53.0, 17.10, 7.50}, --"pilot_raf", 
{-49.0, 16.20, 10.0},--generator
{-15.5, 16.00, 8.0},--vp man cheklist
{-46.0, 16.00, 9.0},--vp man
{-28.0, 16.00, 11.0},--vp man
{40.5, 16.00, 8.0},--vp man cheklist
{-81.0, 9.00, 7.00},--F8F2N
{-81.0, 9.00, -5.50},--F8F2N
{-86.5, 7.50, 5.0},--vp man cheklist
{-78.0, 7.50, -6.0},--vp man
{-86.0, 7.50, -6.0},--vp man
{60.5, 16.00, 8.0},--mecano
{63.5, 16.00, 8.0},--mecano
{58.0, 17.10, 7.0}, --"pilot_raf", 
{59.0, 17.10, 7.8}, --"pilot_raf", 
{63.0, 17.10, 9.0}, --"pilot_raf", 
{64.0, 17.10, 6.8}, --"pilot_raf", 
}


GT.deck_crew = {}

local shapes_size = #deck_crew_names

for i,pnt in ipairs(deck_crew_points) do
	GT.deck_crew[i] = 
	{
		pos   = pnt,
		shape = deck_crew_names[math.fmod (i,shapes_size) + 1]
	}
	

end



								
								
								
								
								
								
								
								
								
								
								add_surface_unit(GT)

GT.RunWays =
{     
-- landing strip definition (first in table)
--	VppStartPoint; 					azimuth (degree} 	Length_Vpp; 	Width_Vpp;
	{{-44.54,	16.00, -2.0}, 		360.8641, 			240.0, 			08.0, 		
-- alsArgument, lowGlidePath, slightlyLowGlidePath, onLowerGlidePath, onUpperGlidePath, slightlyHighGlidePath, highGlidePath
	0, 			0.5, 		  		2.8, 					3.0, 			  3.0, 				3.2, 				3.5},
-- runways
	{{-60.48,	16.00, -1.0}, 		360.0186, 			113.0, 			25.0, 		0, 2.5, 2.8, 3.0, 3.0, 3.2, 3.5}, --1
	{{-72.30,	16.00, -5.79}, 		0.0, 				132.52, 		25.0, 		0, 2.5, 2.8, 3.0, 3.0, 3.2, 3.5}, --2
	{{-83.13,	16.00, -1.0}, 		360.589, 			137.0, 			25.0, 		0, 2.5, 2.8, 3.0, 3.0, 3.2, 3.5}, --3
	{{-93.87,	16.00, -5.27}, 		360.895, 			117.4, 			25.0, 		0, 2.5, 2.8, 3.0, 3.0, 3.2, 3.5}, --4
			
};
GT.RunWays.RunwaysNumber = #GT.RunWays

GT.TaxiRoutes = 
	-- taxi routes and parking spots in LCS
	--    x				y        z			V_target
{					
	{ -- 1 parking spot
		{{105.0, 	16.00,		2.0},		3.0},
		{{105.10,	16.00,		2.0},		2.0}
	},
	{ -- 2 parking spot
		{{105.0, 	16.00,		2.0},		3.0},
		{{ 105.10,	16.00,		 2.0},  	2.0},
		--{{-40.0,	16.26,		 -5.0},  	2.0},
		--{{-45.0,	16.26,		 -7.0}, 	2.0}
	},
	{ -- 3 parking spot
		{{ 85.0,	16.00,		2.0},  	    3.0},
		{{ 85.10,	16.00,		 2.0},  	2.0},
		--{{ 93.0,	16.26,		 15.0},  	2.0},
		--{{-110.0,	16.26,		 25.0}, 	2.0}
	},
	{ -- 4 parking spot
		{{ 65.0,	16.00,		2.0},  	    3.0},
		{{ 65.10,	16.00,		 2.0},  	2.0},
		--{{-60.0,	16.26,		 15.0},		2.0},
		--{{-90.0,	16.26,		 20.0},		2.0}
	},
	{ -- 5 parking spot
		{{ 45.0,	16.00,		3.0},  	    3.0},
		{{ 45.10,	16.00,		 3.0},  	2.0},
		--{{-70.0,	16.26,		 16.0}, 	2.0}
	},
	{ -- 6 parking spot
		{{25.0,		16.00,		-6.0},  	3.0},
		{{25.0,		16.00,		-6.0},  	2.0},
		--{{-50.0,	16.26,		 14.0}, 	2.0}
	},
	{ -- 7 parking spot
		{{05.0,		16.00,		-6.0},		3.0},
		{{05.0,		16.00,		 -6.0},		2.0},
		--{{-25.0,	16.26,		  8.0},		2.0},
		--{{-30.0,	16.26,		 25.0},		2.0}
	},
	{ -- 8 parking spot
		{{-15.0,		16.00,		-6.0},		3.0},
		{{-15.0,		16.00,		 -6.0},		2.0},
		--{{-30.0,	16.26,		  8.0},		2.0}
	},
	{ -- 9 parking spot
		{{-35.0,		16.00,		-6.0},		3.0},
		{{-35.0,		16.00,		 -6.0},		2.0},
		--{{-10.0,	16.26,		  6.0},		2.0},
		--{{-10.0,	16.26,		 25.0},		2.0}
	},
	{ -- 10 parking spot
		--{{-15.0,		16.16,		-6.0},		3.0},
		--{{-15.0,		16.16,		 -6.0},		2.0},
		--{{-10.0,	16.26,		  6.0},		2.0}
	},
	{ -- 11 parking spot
		--{{23.0,		16.26,		-20.0},		3.0},
		--{{10.0,		16.26,		  8.0},		2.0},
		--{{10.0,		16.26,		 25.0},		2.0}
	},
	{ -- 12 parking spot
		--{{23.0,		16.26,		-20.0},		3.0},
		--{{10.0,		16.26,		 10.0},		2.0}
	},
	{ -- 13 parking spot
		--{{23.0,		16.26,		-20.0},		3.0},
		--{{30.0,		16.26,		 10.0},		2.0}
	};
}
GT.TaxiRoutes.RoutesNumber = #GT.TaxiRoutes


				